package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class PairIntInt {
    public transient boolean LIZ;
    public transient long LIZIZ;

    static {
        Covode.recordClassIndex(29908);
    }

    public void finalize() {
        LIZJ();
    }

    public final int LIZ() {
        MethodCollector.i(18025);
        int PairIntInt_first_get = NLEEditorJniJNI.PairIntInt_first_get(this.LIZIZ, this);
        MethodCollector.o(18025);
        return PairIntInt_first_get;
    }

    public final int LIZIZ() {
        MethodCollector.i(18031);
        int PairIntInt_second_get = NLEEditorJniJNI.PairIntInt_second_get(this.LIZIZ, this);
        MethodCollector.o(18031);
        return PairIntInt_second_get;
    }

    public PairIntInt() {
        this(NLEEditorJniJNI.new_PairIntInt__SWIG_0(), true);
        MethodCollector.i(18021);
        MethodCollector.o(18021);
    }

    private synchronized void LIZJ() {
        MethodCollector.i(18020);
        long j = this.LIZIZ;
        if (j != 0) {
            if (this.LIZ) {
                this.LIZ = false;
                NLEEditorJniJNI.delete_PairIntInt(j);
            }
            this.LIZIZ = 0;
        }
        MethodCollector.o(18020);
    }

    public static long LIZ(PairIntInt pairIntInt) {
        if (pairIntInt == null) {
            return 0;
        }
        return pairIntInt.LIZIZ;
    }

    public final void LIZ(int i) {
        MethodCollector.i(18023);
        NLEEditorJniJNI.PairIntInt_first_set(this.LIZIZ, this, i);
        MethodCollector.o(18023);
    }

    public final void LIZIZ(int i) {
        MethodCollector.i(18028);
        NLEEditorJniJNI.PairIntInt_second_set(this.LIZIZ, this, i);
        MethodCollector.o(18028);
    }

    public PairIntInt(long j, boolean z) {
        this.LIZ = z;
        this.LIZIZ = j;
    }

    public PairIntInt(int i, int i2) {
        this(NLEEditorJniJNI.new_PairIntInt__SWIG_1(i, i2), true);
        MethodCollector.i(18022);
        MethodCollector.o(18022);
    }
}
